1. Admin
HMS
  • Features
  • Public API
    • change_password
      POST
    • get_my_info
      GET
    • Login
      POST
    • Register Patient
      POST
    • Get Doctor List
      GET
    • Get Ward List
      GET
    • Get Team List
      GET
    • Get Team Info
      GET
  • Patient
    • patient/book
      POST
    • patient query appointments
      GET
    • patient edit appointments
      POST
    • patient cancel appointments
      DELETE
    • patient get current ward
      GET
  • Receptionist
    • receptionist query appointments
    • receptionist process_appointment
    • receptionist check in
  • Doctor
    • doctor query appointments
    • doctor treat
    • Get Patient Info
    • Get Patient List
  • Admin
    • Admin transfer ward
      POST
    • Admin patient discharge
      POST
    • Admin Create ward
      POST
    • Admin Edit ward
      POST
    • Admin Delete ward
      DELETE
    • Admin Create doctor team
      POST
    • Admin Delete doctor team
      DELETE
    • Admin Set Doctor Resigned
      POST
    • Admin Register User
      POST
    • Admin Edit Team Info
      POST
    • Admin Edit Doctor Info
      POST
    • Admin Edit Patient Info
      POST
    • Admin Reset User Password
      POST
    • Admin Reset User Password From Role ID
      POST
    • Admin Get Patient List
      GET
  • Info Output
    • Get Patients in ward
    • Get Team Patients
    • Get Treatment Records
  1. Admin

Admin Edit Team Info

POST
/admin/edit_team_info

Request

Header Params

Body Params application/json

Example
{
    "team_id": 2,
    "department": "Reception",
    "consultant_id": 2,
    "team_members": [
        2
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/admin/edit_team_info' \
--header 'Authorization: fyOdrxokvUSMTPiN0hBjVDsz348KY2GWZ9gEaF5Jql6p7XnmQL1uIeHtARwCbc' \
--header 'Content-Type: application/json' \
--data-raw '{
    "team_id": 2,
    "department": "Reception",
    "consultant_id": 2,
    "team_members": [
        2
    ]
}'

Responses

🟢200成功
application/json
Body

Example
{}
Modified at 2025-04-23 22:00:35
Previous
Admin Register User
Next
Admin Edit Doctor Info
Built with